<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>

    <!-- 1 Обьяснить своими словами разницу между обьявлением переменных через var, let и const.
      Разница в том что :
      - Переменную которую обявили  через var ее значение можно изминить без труда и 
        область видимомть ее без границ.
      - Переменная которую обявили  через let видна только в нутри блока 
        где была она создана не болие. 
      - Переменная которую обявили  через сonst значени можно записать только один раз 
        оно будет всегда не изменным.
    2 Почему объявлять переменную через var считается плохим тоном?
      - Переменную которую обявили  через var ее значение можно изминить без труда
      и код ваш перестанет работать (.
       -->

    <script>

      const userName = prompt('Ввидите свое имя');
      const age = prompt('Введите свой возраст');
      if (userName === '' || isNaN(age) || age === '') {
          alert('Было введено не число или пустая строка, попробуйте еще раз');
          const userName = prompt('Ввидите свое имя');
          const age = prompt('Введите свой возраст');
          }
      const visitWebsite = 'You are not allowed to visit this website.';
      if(age < 18){
          alert(`${visitWebsite}`)
      }  else if(age >=18 && age <= 22 ){
           confirm('Are you sure you want to continue?') ? alert(`Welcome, ${userName}`) : alert(`${visitWebsite}`);
      } else{
          alert(`Welcome, ${userName}`);
      }
     
    </script>
</body>
</html>